FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202111151318.p0.g966f22e.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202111151318.p0.g966f22e.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=966f22e OS_GIT_VERSION=4.9.0-202111151318.p0.g966f22e.assembly.stream-966f22e SOURCE_DATE_EPOCH=1634767568 SOURCE_GIT_COMMIT=966f22e0d08e63c8c980217671aae7f5d2db8134 SOURCE_GIT_TAG=966f22e0 SOURCE_GIT_URL=https://github.com/openshift/ptp-operator 
WORKDIR /go/src/github.com/openshift/ptp-operator
COPY . .
ENV GO111MODULE=off
RUN make

FROM openshift/ose-base:v4.9.0.20211115.131845
ENV __doozer=update BUILD_RELEASE=202111151318.p0.g966f22e.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202111151318.p0.g966f22e.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=966f22e OS_GIT_VERSION=4.9.0-202111151318.p0.g966f22e.assembly.stream-966f22e SOURCE_DATE_EPOCH=1634767568 SOURCE_GIT_COMMIT=966f22e0d08e63c8c980217671aae7f5d2db8134 SOURCE_GIT_TAG=966f22e0 SOURCE_GIT_URL=https://github.com/openshift/ptp-operator 
COPY --from=builder /go/src/github.com/openshift/ptp-operator/build/_output/bin/ptp-operator /usr/local/bin/
COPY --from=builder /go/src/github.com/openshift/ptp-operator/manifests /manifests
COPY bindata /bindata


ENTRYPOINT ["/usr/local/bin/ptp-operator"]

LABEL \
        io.k8s.display-name="OpenShift ptp-operator" \
        io.k8s.description="This is a component that manages cluster PTP configuration." \
        io.openshift.tags="openshift,ptp" \
        com.redhat.delivery.appregistry="False" \
        maintainer="Multus Team <multus-dev@redhat.com>" \
        name="openshift/ose-ptp-operator" \
        com.redhat.component="ose-ptp-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="ptp" \
        release="202111151318.p0.g966f22e.assembly.stream" \
        io.openshift.build.commit.id="966f22e0d08e63c8c980217671aae7f5d2db8134" \
        io.openshift.build.source-location="https://github.com/openshift/ptp-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/ptp-operator/commit/966f22e0d08e63c8c980217671aae7f5d2db8134" \
        version="v4.9.0"

